Subject: bug#70423: 29.3; cc-mode hang at 100% cpu and consuming all available memory

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 May 2024 11:40:46 +0300

> From: Robert Weiner <[email-masked]>
> Date: Sat, 20 Apr 2024 11:52:49 -0400
> Cc: [email-masked], [email-masked], 
> 	Eli Zaretskii <[email-masked]>
> 
> I have now read through the recent messages more carefully, duplicated the hang in c++-mode using
> pillowtrucker's init.el and his drm_formats.cpp file simply by invoking M->.  I then added both Alan's cc-defs.el
> fix and his new c++-defun-prompt-regexp and that resolved the hang.  If I add the new c++ regexp without the
> cc-defs.el fix, that also seems to solve the hang.  So I retract my prior message and acknowledge one source
> of the problem has been the existing Hyperbole regexps.  We'll update Hyperbole to use Allen's new regexps
> and hopefully this will close this issue after pillowtrucker does some testing.  (I think Allen's other fixes should
> be applied to and that they will help performance).

Thanks.

Should this bug be closed, then?  I believe you are saying that the
left-overs, such as they are, are not in Emacs?